Subject: [payload] Adam Roach's No Objection on draft-ietf-payload-rtp-vc2hq-06: (with COMMENT)

From: James Barrett <[email-masked]>
Date: Fri, 6 Jul 2018 11:18:14 +0000

I believe the order of importance for packets would be:

1. Sequence Headers
2. Fragments containing Transform Parameters
3. Other Fragments
4. Auxiliary Data and End of Sequence
5. Padding

--
James P. Weaver (né Barrett)
Research Engineer
BBC R&D North Lab,
Floor 5 Dock House, MediaCity,
M50 2LH
Tel: +44(0)30 3040-9521
e-mail: [email-masked]

> On 19 Jun 2018, at 21:01, Adam Roach <[email-masked]> wrote:
> 
> Adam Roach has entered the following ballot position for
> draft-ietf-payload-rtp-vc2hq-06: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-payload-rtp-vc2hq/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Thanks for the work on this document.
> 
> Given that the underlying format doesn't appear to be resilient to loss, I'm a
> little surprised to see no discussion of FEC; and, in particular, no treatment
> of the allocation of unequal error protection to the various packet types. For
> example, it sounds like the transform parameters packet is significantly more
> important than, e.g., a picture fragment that contains slices. I suspect there
> is a general prioritization among the various types that would useful to call
> out for implementors.
> 
>